Summary:	Synchronizes system time using the Network Time Protocol (NTP).
Name:		ntp
Group:		System Environment/Daemons
License:	distributable
Version:	4.2.0
Release:	2
Source0:	http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2.0.tar.gz
Source1:	ntp.conf-gd-3
Source2:	ntp.keys
Source3:	ntpd.rc-gd-1
Source4:	ntp.step-tickers
Patch0:		ntp-4.2.0-droproot-gd-1.diff
Requires:	initscripts >= 6.2-1.0.2
Prereq:		/sbin/chkconfig /usr/sbin/useradd
Provides:	xntp3
Obsoletes:	xntp3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
ntp includes ntpdate (a program for retrieving the date and time
from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

%files
  %defattr(-,root,root)
  %doc html/* NEWS TODO 

  %attr(0750,ntp,admin)		%dir %{_sysconfdir}/ntp
  %attr(0640,root,admin)	%config %{_sysconfdir}/ntp/ntp.conf
  %attr(0600,root,root)		%config %{_sysconfdir}/ntp/keys
  %attr(0700,root,root)		%{_sysconfdir}/init.d/ntpd
  %attr(0640,root,admin)	%config(missingok) %{_sysconfdir}/ntp/step-tickers
  %attr(0500,root,admin)	%{_sbindir}/*

%prep 
%setup -q
%patch0 -p1

%build
  autoreconf
  %configure

  CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  mv $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_sbindir}
  strip $RPM_BUILD_ROOT/%{_sbindir}/* || :

  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/ntp
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/ntp/ntp.conf
  install %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/ntp/keys
  install %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/ntpd
  install %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/ntp/step-tickers

%pre
  /usr/sbin/useradd -c "NTP Daemon" -s /bin/false -r -d /etc/ntp ntp 2>/dev/null || :

%post
  /sbin/chkconfig --add ntpd

%preun
  if [ $1 = 0 ]; then
    /etc/init.d/ntpd stop > /dev/null 2>&1
    /sbin/chkconfig --del ntpd
  fi

%postun
  if test -r /var/lock/subsys/xinetd; then
    /etc/init.d/xinetd restart >&2
  fi
 
  if [ $1 = 0 ]; then
    /usr/sbin/userdel ntp 2>/dev/null || :
    /usr/sbin/groupdel ntp 2>/dev/null || :
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.2.0, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.2.0, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
